Skip to main content
GET
/
api
/
conversations
List conversations
curl --request GET \
  --url https://dev.exante.app/api/conversations \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "data": {
    "items": [
      {
        "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "organization_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "channel": "email",
        "direction": "inbound",
        "status": "draft",
        "subject": "<string>",
        "categories": [
          "<string>"
        ],
        "sent_at": "2023-11-07T05:31:56Z",
        "is_read": true,
        "has_reply": true,
        "message_count": 123,
        "metadata": {
          "from_email": "<string>",
          "from_name": "<string>",
          "to_emails": [
            "<string>"
          ],
          "cc_emails": [
            "<string>"
          ],
          "snippet": "<string>",
          "labels": [
            "<string>"
          ],
          "provider_message_id": "<string>",
          "thread_id": "<string>",
          "has_attachments": true,
          "attachment_count": 123,
          "history_id": 123
        },
        "agent_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "party_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "created_by_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "parent_conversation_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "created_on": "2023-11-07T05:31:56Z",
        "updated_on": "2023-11-07T05:31:56Z"
      }
    ],
    "pagination": {
      "page": 123,
      "per_page": 123,
      "total": 123,
      "total_pages": 123
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

organization_uid
string<uuid>

Organization to scope the query to. Defaults to the user's default organization.

is_read
boolean

Filter by read status.

status
string

Comma-separated statuses: draft, active, archived, closed.

channel
string

Filter by channel: email, sms.

category
string

Comma-separated category names to filter by.

agent_uid
string<uuid>

Filter by assigned agent UID.

party_uid
string<uuid>

Filter by associated party UID.

Full-text search on conversation subject.

sort
string
default:-updated_on

Sort field. Prefix with - for descending. Supported: created_on, updated_on, sent_at, subject, status, channel.

page
integer
default:1

Page number.

per_page
integer
default:25

Items per page (max 100).

Required range: x <= 100

Response

Paginated list of conversations

status
enum<string>
Available options:
success
data
object